{% load custom_tags %}
<!DOCTYPE html>
<head>
   <title></title>
   <meta charset="UTF-8" />
   <link rel="stylesheet" href="style.css" type="text/css">
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
   <style>
       body,
      div,
      p tr,
      th,
      td,
      ul,
      li,
      table {
         font-family: sans-serif !important;
         line-height: 1.5;
         max-width: 950px;
         font-size: 11pt;
      }

      body {
         margin-right: auto;
         margin-left: auto;
      }

      img {
         max-width: 700px;
      }

      ol>li::marker {
         font-weight: bold;
         font-size: 1.5em;
      }


      table {
        width: 100%;
        border-collapse: collapse;
        page-break-inside: avoid;
      }

      table, td {
            border: 1px solid;
        }

      td {
        padding: 5px 10px;
        word-break: break-word;
        vertical-align:top;
      }

      td p {
         margin: 0;
      }

      pre.ql-syntax {
         white-space: pre-wrap;
         margin-bottom: 5px;
         margin-top: 5px;
         padding: 5px 10px;
         background-color: #23241f;
         color: #f8f8f2;
         overflow: visible;
         border-radius: 3px;
      }

      blockquote {
         border-left: 4px solid #ccc;
         margin-bottom: 5px;
         margin-top: 5px;
         padding-left: 16px;
      }

      .section h2 {
          margin-bottom: 0;
      }

      .ql-align-center {
         text-align: center;
      }

      .ql-align-right {
         text-align: right;
      }

      .ql-align-justify {
         text-align: justify;
      }

   </style>
</head>

<body lang="EN-US" style="tab-interval: 0.5in">
   <div
      style="align-content:center; font-size:24px; width:630px; margin:auto;padding:25px;vertical-align:baseline;text-align:center;font-weight:600;">
      {{ name }}
   </div>
   <div class="Section1">
      <div>
         <div>
            <!-- Overview Table -->
            <table class="table overview-table" style="
                  vertical-align: baseline;
                  width: 950px;
                  border-spacing: 0;
                  ">
               <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;
                        width: 30%;
                        border: 2px solid #000;
                        ">
                     Company Name
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-left: none;
                        ">
                     {{ company_name }}
                  </td>
               </tr>
               <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Customer Contact
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                      {{ customer_contact }}
                      {% if customer_phone %} | {{ customer_phone }} {% endif %}
                  </td>
               </tr>
               <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Agreement Name
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                     {{ name }}
                  </td>
               </tr>
                <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Date
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                     {{ current_date }}
                  </td>
               </tr>
                <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Account Manager
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                     {{ account_manager_name }}
                  </td>
               </tr>
                <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Agreement Author
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                     {{ author_name }}
                  </td>
               </tr>
               <tr style="
                     margin: 0;
                     padding: 0;
                     vertical-align: baseline;

                     line-height: 25px;
                     ">
                  <td style="
                        font-weight: bold;

                        padding: 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        ">
                     Version
                  </td>
                  <td style="
                        margin: 0;
                        text-align: left;
                        padding: 2px 2px 2px 15px;
                        vertical-align: baseline;

                        border: 2px solid #000;
                        border-top: none;
                        border-left: none;
                        ">
                     {{ version }}
                  </td>
               </tr>
            </table>
            <div class="row col section">
              {% for section in sections %}
                 <h2> {{ forloop.counter }}. {{ section.name }} </h2>
                  <div class="ql-container ql-snow">
                      <div class="ql-editor">
                        {{ section.value_html|safe }}
                      </div>
                  </div>
              {% endfor %}
               <div style="display:block; clear:both; page-break-after:always;"></div>
                <!-- As agreement does not have products, the agreement cost and total section will not apply. -->
                {% if product_preview_data.products %}
                   <h2>Agreement Cost</h2>
                   <table style="border-spacing: 0;">
                      <tr style="
                            margin: 0;
                            padding: 0;
                            vertical-align: baseline;

                            ">
                         <th style="
                               text-align: left;
                               margin: 0;
                               padding: 8px;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 50%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                            Product <br>
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: center;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                            Quantity
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: left;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               text-align: center;
                               ">
                            Cost
                         </th>
                          <th style="
                               padding: 8px;
                               text-align: center;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                            Billing Option
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: left;
                               margin: 0;
                               border: 2px solid #333;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 20%;
                               text-align: center;
                               ">
                            Extended Cost
                         </th>
                      </tr>
                      {% for product in product_preview_data.products %}
                          {% if product.is_comment %}
                              <tr style="margin: 0;padding: 0; vertical-align: baseline;">
                                  <td style="
                                   padding: 8px;
                                   text-align: left;
                                   margin: 0;
                                   vertical-align: middle;
                                   background: #d9d9d9;

                                   border: 2px solid #333;
                                   border-top: none;
                                   border-right: 2px solid #333;
                                   font-weight: bold;"
                                   colspan="5"
                                  >
                                    {{ product.comment }}
                                  </td>
                              </tr>
                          {% else %}
                              <tr style="
                                    margin: 0;
                                    padding: 0;
                                    vertical-align: baseline;

                                    ">
                                 <td style="
                                       padding: 8px;
                                       text-align: left;
                                       margin: 0;
                                       vertical-align: middle;
                                       background: #fff;

                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ product.name }} <br>
                                    <div style="font-size: 10px;">
                                        {{ product.description }}
                                    </div>
                                    <br>
                                 </td>
                                 <td style="
                                       text-align: center;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ product.quantity }}
                                    <br>
                                 </td>
                                 <td style="
                                       text-align: left;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                     {{ product.customer_cost|currency }}
                                    <br>
                                 </td>
                                  <td style="
                                       text-align: left;
                                       margin: auto 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                     {% if product.billing_option %}
                                        {{ product.billing_option }}
                                     {% else %}
                                         -
                                     {% endif %}
                                    <br>
                                 </td>
                                 <td style="
                                       border-right: 2px solid #333;
                                       text-align: left;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       ">
                                     {% if product.extended_cost %}
                                        {{ product.extended_cost|currency }}
                                     {% else %}
                                         -
                                     {% endif %}
                                    <br>
                                 </td>
                              </tr>
                          {% endif %}
                      {% endfor %}
                   </table>
                {% endif %}
                {% if pax8_products_preview_data %}
                   <h2> {{ pax8_products_preview_data.name }}</h2>
                   <table style="border-spacing: 0;">
                      <tr style="
                            margin: 0;
                            padding: 0;
                            vertical-align: baseline;

                            ">
                         <th style="
                               text-align: left;
                               margin: 0;
                               padding: 8px;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 50%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                            Product Name <br>
                             <div style="font-size: 10px;">
                                 SKU
                             </div>
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: center;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                            Quantity
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: left;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               text-align: center;
                               ">
                            Cost
                         </th>
                          <th style="
                               padding: 8px;
                               text-align: center;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                              Contract Length
                         </th>
                          <th style="
                               padding: 8px;
                               text-align: center;
                               margin: 0;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               border: 2px solid #333;
                               border-right: none;
                               ">
                              Billing
                         </th>
                         <th style="
                               padding: 8px;
                               text-align: left;
                               margin: 0;
                               border: 2px solid #333;
                               vertical-align: baseline;
                               background: #d9d9d9;
                               color: #333;
                               font-weight: 600;
                               line-height: 15px;
                               width: 10%;
                               text-align: center;
                               ">
                            Extended Cost
                         </th>
                      </tr>
                      {% for pax8_product in pax8_products_preview_data.pax8_products_list %}
                          {% if pax8_product.is_comment %}
                              <tr style="margin: 0;padding: 0; vertical-align: baseline;">
                                  <td style="
                                   padding: 8px;
                                   text-align: left;
                                   margin: 0;
                                   vertical-align: middle;
                                   background: #d9d9d9;

                                   border: 2px solid #333;
                                   border-top: none;
                                   border-right: 2px solid #333;
                                   font-weight: bold;"
                                   colspan="6"
                                  >
                                    {{ pax8_product.comment }}
                                  </td>
                              </tr>
                          {% else %}
                              <tr style="
                                    margin: 0;
                                    padding: 0;
                                    vertical-align: baseline;

                                    ">
                                 <td style="
                                       padding: 8px;
                                       text-align: left;
                                       margin: 0;
                                       vertical-align: middle;
                                       background: #fff;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ pax8_product.product_name }}<br>
                                     <div style="font-size: 11px;">
                                         {{ pax8_product.sku }}
                                     </div>
                                 </td>
                                 <td style="
                                       text-align: center;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ pax8_product.quantity }}
                                 </td>
                                 <td style="
                                       text-align: left;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ pax8_product.customer_cost|currency }}
                                 </td>
                                  <td style="
                                       text-align: left;
                                       margin: auto 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {% if pax8_product.commitment_term_in_months %}
                                        {{ pax8_product.commitment_term_in_months }} Months
                                    {% else %}
                                        -
                                    {% endif %}
                                    <br>
                                 </td>
                                  <td style="
                                       text-align: left;
                                       margin: auto 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       border-right: none;
                                       ">
                                    {{ pax8_product.billing_term }}
                                 </td>
                                 <td style="
                                       border-right: 2px solid #333;
                                       text-align: left;
                                       margin: 0;
                                       padding: 8px;
                                       vertical-align: middle;
                                       background: #fff;
                                       text-align: center;
                                       border: 2px solid #333;
                                       border-top: none;
                                       ">
                                    {{ pax8_product.extended_cost|currency }}
                                 </td>
                              </tr>
                          {% endif %}
                      {% endfor %}
                   </table>
               {% endif %}
               <div class="section">
               {% if product_preview_data.estimated_annual_cost > 0 %}
                  <h2>Products Total by Billing Frequency</h2>
                  <table style="width: 100%; border-spacing: 0">
                     <tr style="
                           margin: 0;
                           padding: 0;
                           vertical-align: baseline;

                           ">
                        <th style="
                              border: 2px solid #333;
                              border-right: none;
                              text-align: center;
                              margin: 0;
                              padding: 8px;
                              vertical-align: baseline;
                              background: #d9d9d9;
                              color: #333;
                              font-weight: 600;
                              line-height: 8px;

                              ">
                           Terms
                        </th>
                        <th style="
                              border: 2px solid #333;
                              padding: 8px;
                              text-align: center;
                              margin: 0;
                              vertical-align: baseline;
                              background: #d9d9d9;
                              color: #333;
                              font-weight: 600;
                              line-height: 8px;

                              ">
                           Extended cost
                        </th>
                     </tr>
                      {% if product_preview_data.total_one_time_cost %}
                         <tr style="
                               margin: 0;
                               padding: 0;
                               vertical-align: baseline;

                               ">
                            <td style="
                                  padding: 8px;
                                  text-align: center;
                                  margin: 0;
                                  vertical-align: middle;
                                  background: #fff;

                                  font-weight: 600;
                                  border: 2px solid #333;
                                  border-top: none;
                                  border-right: none;
                                  ">
                               Billed One-Time
                            </td>
                            <td style="
                                  text-align: center;
                                  margin: 0;
                                  padding: 8px;
                                  vertical-align: middle;
                                  background: #fff;

                                  font-weight: 600;
                                  border: 2px solid #333;
                                  border-top: none;
                                  ">
                               {{ product_preview_data.total_one_time_cost|currency }}
                            </td>
                         </tr>
                      {% endif %}
                    {% if product_preview_data.total_monthly_cost %}
                         <tr style="
                               margin: 0;
                               padding: 0;
                               vertical-align: baseline;

                               ">
                            <td style="
                                  padding: 8px;
                                  text-align: center;
                                  margin: 0;
                                  vertical-align: middle;
                                  background: #fff;

                                  font-weight: 600;
                                  border: 2px solid #333;
                                  border-top: none;
                                  border-right: none;
                                  ">
                               Billed Monthly
                            </td>
                            <td style="
                                  text-align: center;
                                  margin: 0;
                                  padding: 8px;
                                  vertical-align: middle;
                                  background: #fff;

                                  font-weight: 600;
                                  border: 2px solid #333;
                                  border-top: none;
                                  ">
                               {{ product_preview_data.total_monthly_cost|currency }}
                            </td>
                         </tr>
                    {% endif %}
                    {% if product_preview_data.total_annual_cost %}
                     <tr style="
                           margin: 0;
                           padding: 0;
                           vertical-align: baseline;

                           ">
                        <td style="
                              padding: 8px;
                              text-align: center;
                              margin: 0;
                              vertical-align: middle;
                              background: #fff;

                              font-weight: 600;
                              border: 2px solid #333;
                              border-top: none;
                              border-right: none;
                              ">
                           Billed Annually
                        </td>
                        <td style="
                              text-align: center;
                              margin: 0;
                              padding: 8px;
                              vertical-align: middle;
                              background: #fff;

                              font-weight: 600;
                              border: 2px solid #333;
                              border-top: none;
                              ">
                           {{ product_preview_data.total_annual_cost|currency }}
                        </td>
                     </tr>
                    {% endif %}
                  </table>
               {% endif %}
               </div>
                <div class="section">
                   {% if pax8_products_preview_data %}
                      <h2>{{ pax8_products_preview_data.name }} by Billing Frequency</h2>
                      <table style="width: 100%; border-spacing: 0">
                         <tr style="
                               margin: 0;
                               padding: 0;
                               vertical-align: baseline;

                               ">
                            <th style="
                                  border: 2px solid #333;
                                  border-right: none;
                                  text-align: center;
                                  margin: 0;
                                  padding: 8px;
                                  vertical-align: baseline;
                                  background: #d9d9d9;
                                  color: #333;
                                  font-weight: 600;
                                  line-height: 8px;

                                  ">
                               Terms
                            </th>
                            <th style="
                                  border: 2px solid #333;
                                  padding: 8px;
                                  text-align: center;
                                  margin: 0;
                                  vertical-align: baseline;
                                  background: #d9d9d9;
                                  color: #333;
                                  font-weight: 600;
                                  line-height: 8px;

                                  ">
                               Extended cost
                            </th>
                         </tr>
                          {% for billing_term, extended_cost in  pax8_products_preview_data.billing_summary.extended_cost_by_billing_term.items %}
                             <tr style="
                                   margin: 0;
                                   padding: 0;
                                   vertical-align: baseline;

                                   ">
                                <td style="
                                      padding: 8px;
                                      text-align: center;
                                      margin: 0;
                                      vertical-align: middle;
                                      background: #fff;

                                      font-weight: 600;
                                      border: 2px solid #333;
                                      border-top: none;
                                      border-right: none;
                                      ">
                                   {{ billing_term }} Billed Subscriptions
                                </td>
                                <td style="
                                      text-align: center;
                                      margin: 0;
                                      padding: 8px;
                                      vertical-align: middle;
                                      background: #fff;

                                      font-weight: 600;
                                      border: 2px solid #333;
                                      border-top: none;
                                      ">
                                   {{ extended_cost|currency }}
                                </td>
                             </tr>
                          {% endfor %}
                      </table>
                   {% endif %}
               </div>
            </div>
            <br>
            <div style="text-align: center; font-weight: bold; font-size: large;">
                <div class="section">
                    {% if total_agreement_extended_cost %}
                        Total estimated annual cost: {{ total_agreement_extended_cost|currency }}
                    {% endif %}
                </div>
            </div>
            <div class="row col section" style="margin-left: 9px">
               <p>
                  <br />
                  If the terms of this document are agreeable to {{ company_name }}, sign below. Once completed please
                  Email or FAX this document
                  and Company PO for the amount mentioned above.
               </p>
               <p style="line-height: 25px">
                  <strong>Email: orders@lookingpoint.com / FAX: 925-405-3847</strong>
                  <br /><br /><br /><br />
               </p>
               <div>
                  <div class="row">
                     <strong>Customer Signature: ________________________________</strong>
                     &emsp;
                     <strong>Date: __________________________________</strong>
                  </div>
                  <br /><br />
                  <br />
                  <div class="row">
                     <strong>Customer Name: ____________________________________</strong>
                     &emsp;
                     <strong>Title: __________________________________</strong>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</body>
</html>